Bug 402104 - If the update state is dirty, clicking on the "Update All" button triggers fetching updates rather than actually performing updates
Summary: If the update state is dirty, clicking on the "Update All" button triggers fe...
Status: RESOLVED FIXED
Alias: None
Product: Discover
Classification: Unclassified
Component: Updates (interactive) (show other bugs)
Version: 5.12.6
Platform: Ubuntu Packages Linux
: VHI normal
Target Milestone: ---
Assignee: Aleix Pol
URL:
Keywords: usability
Depends on:
Blocks:
 
Reported: 2018-12-13 19:12 UTC by Leon
Modified: 2019-11-07 14:18 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.17


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Leon 2018-12-13 19:12:16 UTC
SUMMARY

In 40% of all tries the update fails: no password dialog is presented to the user.

STEPS TO REPRODUCE
1. I start discover with the icon next to the clock
2. Dialog says: "Aktualisierungen werden gesucht" (updates are searched)
2. When it is finished, I press on "Alles aktualisieren" (update everything)

OBSERVED RESULT
- nothing happens
- When I click on "Aufgaben" (Tasks) I get the info: "Aktualisieren: wird installiert" (Installation in progress)
- the only way to close Discover is with the task manager (CTRL+ESC)

EXPECTED RESULT
The password entry dialog should be presented, so I can enter the sudo-password!


SYSTEM INFORMATION
I run Kubuntu 18.04
uname -a gives me:
4.15.0-42-generic #45-Ubuntu SMP Thu Nov 15 19:32:57 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
Comment 1 Nate Graham 2018-12-27 03:59:01 UTC
I have seen this happen in 5.14.4 too from time to time. Like Leon says, it's not consistent. 40% reproducibility feels about right though.
Comment 2 Nate Graham 2019-01-06 16:02:41 UTC
What's happening here is that the update state is dirty, so Discover checks for updates again to get a clean state. Only *then* will it allow you to actually use the button to do what it says it will do.

Needless to say, this is not ideal and will be fixed.
Comment 3 Nate Graham 2019-11-07 14:18:23 UTC
This is no longer an issue now that we gate the update page on having all updates already collected.